Bug 141823 - Add support for diagnostic logging messages sampling
Summary: Add support for diagnostic logging messages sampling
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-02-19 20:30 PST by Chris Dumez
Modified: 2015-02-23 14:09 PST (History)
4 users (show)

See Also:


Attachments
Patch (44.96 KB, patch)
2015-02-20 17:11 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2015-02-19 20:30:52 PST
We currently generate a large amount of diagnostic logging messages and this is unfortunately increase CPU usage of some benchmarks. In most cases, we could use sampling to greatly decrease the amount of messages while getting useful overall results.

Radar: <rdar://problem/19899030>
Comment 1 Chris Dumez 2015-02-20 17:11:56 PST
Created attachment 247015 [details]
Patch
Comment 2 Chris Dumez 2015-02-23 14:09:02 PST
Comment on attachment 247015 [details]
Patch

Clearing flags on attachment: 247015

Committed r180517: <http://trac.webkit.org/changeset/180517>
Comment 3 Chris Dumez 2015-02-23 14:09:07 PST
All reviewed patches have been landed.  Closing bug.